> For the complete documentation index, see [llms.txt](https://docs.sled.so/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sled.so/snowflake_connection/background_tasks_paths.md).

# Configure Paths for Snowflake Background Tasks

Paths define which tables and views the discovery task or profiler task should work on. All paths need to be valid [regular expressions](https://docs.python.org/3.8/library/re.html#regular-expression-syntax). The regex is not case sensitive. [(see examples)](#examples)

## Discovery Paths

This controls, which objects should be available in the catalog and for the other tasks.

**Include:**

These data objects (databases, schemas, tables, views) will be indexed for the catalog. `<Empty>` includes everything. If multiple paths are specified, all of them are searched. Overlapping paths will only be indexed once.

**Exclude:**

These objects are excluded from the catalog. `<Empty>` excludes nothing.

An object in the excluded paths will always be excluded (even if it was included above).

## Examples

### Match all tables or views of a database

```
demo_db\..*
```

This would match all objects that start with `DEMO_DB.`. Please note that the `.`(dot) needs to be escaped otherwise it matches every character.

### Match all tables or views with certain names

Match all tables or views of a schema that start with `my_` and end with `deprecated`

```
my_database\.with_schema\.my_.*deprecated
```

It would match e.g. `MY_DATABASE.WITH_SCHEMA.my_temporary_table_deprecated`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sled.so/snowflake_connection/background_tasks_paths.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
